Bug 1433533 (ovn_faulttolerance) - [RFE] [Neutron] [OVN] Fault tolerant ML2 -> OVN synchronization
Summary: [RFE] [Neutron] [OVN] Fault tolerant ML2 -> OVN synchronization
Keywords:
Status: CLOSED ERRATA
Alias: ovn_faulttolerance
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-networking-ovn
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: Upstream M3
: 13.0 (Queens)
Assignee: Lucas Alvares Gomes
QA Contact: Eran Kuris
URL:
Whiteboard:
Depends On:
Blocks: osp13ovn 1548947
TreeView+ depends on / blocked
 
Reported: 2017-03-17 23:16 UTC by Assaf Muller
Modified: 2019-09-09 13:10 UTC (History)
15 users (show)

Fixed In Version: python-networking-ovn-4.0.0-0.20180211021409.329d6d8.el7ost
Doc Type: Enhancement
Doc Text:
To help maintain consistency between the neutron and OVN databases, configuration changes are internally compared and verified in the backend. Each configuration change is assigned a revision number, and a scheduled task validates all create, update, and delete operations made to the databases.
Clone Of:
Environment:
Last Closed: 2018-06-27 13:29:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 490834 None MERGED Idea proposal: Neutron/OVN database consistency problem 2020-04-05 12:56:16 UTC
OpenStack gerrit 520631 None MERGED Check for ports correctness 2020-04-05 12:56:15 UTC
OpenStack gerrit 528746 None MERGED Check for floating ips correctness 2020-04-05 12:56:15 UTC
OpenStack gerrit 529637 None MERGED Check for security group correctness 2020-04-05 12:56:14 UTC
OpenStack gerrit 530229 None MERGED Check for subnets correctness 2020-04-05 12:56:14 UTC
OpenStack gerrit 531033 None MERGED Check for sg_rules correctness 2020-04-05 12:56:14 UTC
OpenStack gerrit 532183 None MERGED Refactor Routers 2020-04-05 12:56:14 UTC
OpenStack gerrit 534423 None MERGED Check for router port correctness 2020-04-05 12:56:14 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:30:45 UTC

Description Assaf Muller 2017-03-17 23:16:03 UTC
The Neutron and OVN databases should stay in sync even in the case of intermittent failures, missed and out of order notifications.

Comment 4 Assaf Muller 2017-04-24 13:31:25 UTC
Spec not yet posted, pushing to milestone 3.

Comment 10 Miguel Angel Ajo 2017-10-04 13:18:58 UTC
We need to sync with QE to prepare a testing plan for this, we could potentially reuse (as @nyechiel suggested) the ODL testing plans for this feature.

Comment 11 Eran Kuris 2017-10-18 08:47:13 UTC
(In reply to Miguel Angel Ajo from comment #10)
> We need to sync with QE to prepare a testing plan for this, we could
> potentially reuse (as @nyechiel suggested) the ODL testing plans for this
> feature.

Miguel, If its same test cases as ODL it will be easy to reuse the ODL testing plans for this feature. can you review the ODL testing plans to make sure its relevant to OVN?

Comment 16 Lucas Alvares Gomes 2017-12-04 14:39:52 UTC
Following up with the weekly OSP networking call (Dec. 04 2017). The specification detailing the problem and proposing a solution for this problem can be found at: https://review.openstack.org/#/c/490834/ (Added to external references as well)

Comment 18 Daniel Alvarez Sanchez 2018-01-17 13:18:40 UTC
This is the series of patches related to the FFE:

https://review.openstack.org/#/q/topic:bug/1605089+(status:open+OR+status:merged)

Comment 23 Lucas Alvares Gomes 2018-04-30 13:22:56 UTC
Backporting the functional tests that are run upstream to exercise the maintenance task [0], this is needed so that we can verify this RFE.

[0] https://code.engineering.redhat.com/gerrit/#/c/137302/

Comment 24 Eran Kuris 2018-05-08 10:02:24 UTC
Verified: 
[heat-admin@controller-0 ~]$ sudo rpm -qa | grep python-networking-ovn-
python-networking-ovn-4.0.1-0.20180420150809.c7c16d4.el7ost.noarch

(undercloud) [stack@undercloud-0 ~]$ cat /etc/yum.repos.d/latest-installed 
13   -p 2018-05-02.5

Test run:
https://polarion.engineering.redhat.com/polarion/#/project/RHELOpenStackPlatform/testrun?id=20180503-0655

Comment 26 errata-xmlrpc 2018-06-27 13:29:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.